﻿using System;

namespace Uvod2
{
    class Program
    {
        // Primer funkcije koja ne vraca vrednost.
        static void linija()
        {
            Console.WriteLine("**********************************");
            Console.WriteLine("==================================");
        }

        // Primer funkcije koja vraca (ovde) realnu vrednost
        static double Povrsina(double r)
        {
            const double pi = 3.14;  // kako izgleda definicija konstanti u C#


            // Klasa Math sadrzi matematicke funkcije i konstante.
            // Neke od vaznijih matematickih funkcija:
            //   Math.Pow(x,y) -- x^y
            //   Math.Sqrt(x) -- kvadratni koren od x

            //Math.PI -- matematicka konstanta pi

            double p = r * r * Math.PI;
            
            return p; // Dobijeni rezultat vracamo.
        }
        

        static void Main(string[] args)
        {
            Console.Write("Rekla je: ");
            Console.WriteLine("Zdravo svete! :)");
            Console.WriteLine("Uspeli smo!");
            // == Ocekivani ispis: ======
            // Rekla je: Zdravo svete! :)
            // Uspeli smo!

            linija();

            //string tekst;  -- deklaracija
            //tekst = "Ko rano rani ceo dan zeva. :D"; -- inicijalizacija
            string tekst = "Ko rano rani ceo dan zeva. :D";  // deklaracija sa inicijalizacijom
            string tekst2 = " Ovo je tacno";
            Console.WriteLine(tekst + tekst2); // nadovezivanje niski: "Ko rano rani ceo dan zeva. :D  Ovo je tacno"


            linija();
            // Matematicke operacije: 
            // + - *
            // / %

            // 15/6  -- dace rezultat 2
            // 15.0/6.0 -- bice realno deljenje
            // (double) 15 / 6 -- bice opet realno deljenje
            // (double) a / b  -- a i b celi brojevi, da bude realno deljenje
            // a / (double) b  -- a i b celi brojevi, da bude realno deljenje
            int b = 24;
            b = 2 * b;
            Console.WriteLine(b);

            linija();

            double m = 5.12;
            Console.WriteLine(m);


            Console.WriteLine("Kako se zoves? :)");
            string ime = Console.ReadLine(); // Console.ReadLine() nam daje ucitani tekst (rezultat koji vrati je tipa string)
            Console.WriteLine("Dakle zove se " + ime);


            // Na primer, int.Parse("138") daje 138
            int broj = int.Parse( Console.ReadLine() );
            broj = 2 * broj;
            Console.WriteLine(broj);

            linija();

            // Slicno kao i za cele brojeve.
            double d = double.Parse(Console.ReadLine());
            d = d / broj;
            Console.WriteLine(d);

            // string s = "Ko se hvali sam se kvari"
            // s.Split() -- niz: "Ko" "se" "hvali" "sam" "kvari"
            string[] niz = Console.ReadLine().Split();

            
            double R = 2.1;
            double dobijena_povrsina = Povrsina(R);
            Console.WriteLine(dobijena_povrsina);
        }
    }
}
